%define _requires_exceptions devel(libnspr4\\|devel(libplc4\\|devel(libplds4

%define real_version	1.8.5
%define mozilla_version 1.0.0
%define short_version	185

%define oname		mozjs
%define major		1.0
%define	libname		%mklibname %{oname} %{short_version} %{major}
%define	develname	%mklibname %{oname} %{short_version} -d

Summary:	SpiderMonkey, the Mozilla JavaScript engine
Name:		js
Version:	1.85
Release:	%mkrel 5
License:	MPL
Group:		Development/Other
URL:		http://www.mozilla.org/js/
Source0:	http://ftp.mozilla.org/pub/mozilla.org/js/%{name}%{short_version}-%{mozilla_version}.tar.gz
Patch0:		js-1.8.5-fix-destdir.patch
Patch1:		js-allow-to-build-against-system-libffi.patch
Patch2:		js-force-NativeARM.o-to-have-arch-armv4t-in-its-.ARM.at.patch
Patch3:		js-bug-638056-Avoid-The-cacheFlush-support-is-missing-o.patch
Patch4:		js-bug-626035-Modify-the-way-arm-compiler-flags-are-set.patch
Patch5:		js-bug-589744-Fallback-to-perf-measurement-stub-when-pe.patch
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	edit-devel
BuildRequires:	nspr-devel
BuildRequires:	python
BuildRequires:	zip
BuildRequires:	readline-devel
BuildRequires:	autoconf2.1 libffi-devel
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Epoch:		1

%description
JavaScript is the Netscape-developed object scripting languages. This
package has been created for purposes of Sablotron and is suitable for 
embedding in applications. See http://www.mozilla.org/js for details 
and sources.

%package -n	%{libname}
Summary:	JavaScript engine library
Group:		System/Libraries
Epoch:		%{epoch}

%description -n	%{libname}
JavaScript is the Netscape-developed object scripting languages. This
package has been created for purposes of Sablotron and is suitable for 
embedding in applications. See http://www.mozilla.org/js for details 
and sources.

%package -n	%{develname}
Summary:	The header files for %{libname}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libjs-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{mklibname -d js 1}
Requires:	nspr-devel
Epoch:		%{epoch}

%description -n	%{develname}
These are the header files for development with SpiderMonkey.

%prep
%setup -q -n %{name}-%{real_version}/js/src
%patch0 -p3 -b .destdir~
%patch1 -p3
%patch2 -p3
%patch3 -p3
%patch4 -p3
%patch5 -p3
autoconf-2.13

%build
# MOZILLA_VERSION is needed to get Version field in pkgconfig files
export MOZILLA_VERSION=%{real_version}
%configure2_5x \
%ifarch %arm
	--build=arm-%{_real_vendor}-%{_target_os}%{?_gnu} \
	--host=arm-%{_real_vendor}-%{_target_os}%{?_gnu} \
	--disable-methodjit \
	--enable-system-ffi \
%endif
	--enable-readline \
	--enable-threadsafe \
	--enable-ctypes \
	--with-system-nspr
%make

%install
rm -rf %{buildroot}

%makeinstall_std
%multiarch_includes %{buildroot}%{_includedir}/js/jsautocfg.h

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%doc README.html
%{_libdir}/lib%{oname}%{short_version}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/js
%multiarch %{multiarch_includedir}/js/jsautocfg.h
%{_includedir}/js/*
%{_libdir}/lib%{oname}%{short_version}-%{major}.a
%{_libdir}/lib%{oname}%{short_version}.so
%{_libdir}/pkgconfig/%{oname}%{short_version}.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:1.85-5.mga3
+ Revision: 355592
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 08 2012 rtp <rtp> 1:1.85-4.mga3
+ Revision: 303385
- Merges patches from Debian to fix (arm) build

* Tue Apr 17 2012 blino <blino> 1:1.85-3.mga2
+ Revision: 231142
- use 1.8.5 as Version in pkgconfig file since this is what libproxy expects

* Wed Dec 21 2011 blino <blino> 1:1.85-2.mga2
+ Revision: 185167
- fix Version in pkgconfig file (and thus get pkgconfig auto-provides in devel package)

* Tue Dec 20 2011 wally <wally> 1:1.85-1.mga2
+ Revision: 184985
- BR readline-devel
- BR zip
- fix lib major

  + tv <tv>
    - new release
    - use %%configure2_5x, %%make && %%makeinstall_std
    - BR python
    - fix summary
    - sync patches with mdv
    - use major in file list
    - library name has changed

* Fri Jan 21 2011 dmorgan <dmorgan> 1:1.70-7.mga1
+ Revision: 29789
- Remove mdv macros
- imported package js

